View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021814PatchesOtherpublic2012-04-20 14:452013-03-17 14:43
Reportertommy_edlund 
Assigned ToMichael Van Canneyt 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.1 (SVN)Product Build 
Target VersionFixed in Version 
Summary0021814: A patch for using MySql 5.1 i Datadictionary and Database Desktop
Descriptionchanged files in fpc packages/fcl-db/src/datadict
and in lazarus/tools/lazdatadesktop

Tested with Lazarus SVN on win7 32 bit and Ubuntu11.10 gtk2 32bit
where datadictionary and database desktop functioned as expected with the additional files.
Additional Informationfiles in zip
TagsNo tags attached.
Fixed in Revision40575
LazTarget-
Widgetset
Attached Fileszip file icon Patch_Fpc_Datadict_mysql51.zip [^] (97,969 bytes) 2012-04-20 14:45
diff file icon frmmain.diff [^] (336 bytes) 2012-10-16 09:10 [Show Content]

- Relationships

-  Notes
(0060539)
Juha Manninen (developer)
2012-06-14 21:05

Tommy, the "packages_fcl-db_src_datadict" part belongs to FPC project. You must create a separate patch there.
FPC and Lazarus are 2 different projects and their code is committed (mostly) by different people.

Also, you must create proper patches if you want to get any attention for your changes.

  http://wiki.lazarus.freepascal.org/Creating_A_Patch [^]
(0063186)
Michael Van Canneyt (administrator)
2012-10-16 09:10

I added the data dictionary support for MySQL 5.1 and 5.5 to FPC.

I uploaded a patch for the data desktop (frmmain.diff), I added 5.5 support as well.
If you want, I can apply the patch myself.
(0063209)
Maxim Ganetsky (developer)
2012-10-16 21:32
edited on: 2012-10-16 21:32

@Michael
>I uploaded a patch for the data desktop (frmmain.diff), I added 5.5 support as well.
>If you want, I can apply the patch myself.

Please do.

(0066303)
Michael Van Canneyt (administrator)
2013-03-17 14:43

Applied patch to lazarus data desktop.
It also adds support for generating SQL from a table in a connection

- Issue History
Date Modified Username Field Change
2012-04-20 14:45 tommy_edlund New Issue
2012-04-20 14:45 tommy_edlund File Added: Patch_Fpc_Datadict_mysql51.zip
2012-06-14 21:05 Juha Manninen Note Added: 0060539
2012-10-16 00:56 Maxim Ganetsky LazTarget => -
2012-10-16 00:56 Maxim Ganetsky Status new => feedback
2012-10-16 09:10 Michael Van Canneyt File Added: frmmain.diff
2012-10-16 09:10 Michael Van Canneyt Note Added: 0063186
2012-10-16 21:32 Maxim Ganetsky Note Added: 0063209
2012-10-16 21:32 Maxim Ganetsky Assigned To => Michael Van Canneyt
2012-10-16 21:32 Maxim Ganetsky Status feedback => assigned
2012-10-16 21:32 Maxim Ganetsky Note Edited: 0063209
2013-03-17 14:43 Michael Van Canneyt Fixed in Revision => 40575
2013-03-17 14:43 Michael Van Canneyt Note Added: 0066303
2013-03-17 14:43 Michael Van Canneyt Status assigned => resolved
2013-03-17 14:43 Michael Van Canneyt Resolution open => fixed



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker